import React from 'react';
import { FormItem } from "../formitem/formitem";
import { useForm, useWatch } from "./useform";
import { FormInstance, TaroFormProps } from "../../types";
export type { FormItemRuleWithoutValidator, FormInstance, FormFieldEntity, NamePath, Store, TaroFormProps as FormProps, } from "../../types";
type CompoundedComponent = React.ForwardRefExoticComponent<Partial<TaroFormProps> & Omit<React.HTMLAttributes<HTMLDivElement>, 'onChange'> & React.RefAttributes<FormInstance>> & {
    Item: typeof FormItem;
    useForm: typeof useForm;
    useWatch: typeof useWatch;
};
declare const InnerForm: CompoundedComponent;
export default InnerForm;
