import React from 'react';
import { RadioGroup } from "../radiogroup/radiogroup";
import { TaroRadioProps } from "../../types";
export type { RadioShape, TaroRadioProps as RadioProps } from "../../types";
type CompoundedComponent = React.FC<Partial<TaroRadioProps> & Omit<React.HTMLAttributes<HTMLDivElement>, 'onChange'>> & {
    Group: typeof RadioGroup;
};
declare const InnerRadio: CompoundedComponent;
export default InnerRadio;
