import React, { FunctionComponent } from 'react';
import { CascaderOption, TaroCascaderProps, CascaderValue, CascaderOptionKey, RegionData } from "../../types";
export interface AddressProps extends TaroCascaderProps {
    visible: boolean;
    type: string;
    options: CascaderOption[];
    hotList: RegionData[];
    value: CascaderValue;
    defaultValue: CascaderValue;
    optionKey: CascaderOptionKey;
    format: Record<string, string | number | null>;
    height: string | number;
}
export declare const ElevatorRender: FunctionComponent<Partial<AddressProps> & Omit<React.HTMLAttributes<HTMLDivElement>, 'title' | 'defaultValue' | 'onChange'>>;
