import { FunctionComponent, HTMLAttributes } from 'react';
import { TaroContentProps } from "../../types";
export declare const defaultContentProps: {
    visible: boolean;
    title: string;
    header: string;
    footer: string;
    close: string;
    footerDirection: string;
    onClick: () => void;
};
export declare const Content: FunctionComponent<Partial<TaroContentProps> & Omit<HTMLAttributes<HTMLDivElement>, 'onClick' | 'title'>>;
