import React from 'react';
import SwiperItem from "../swiperitem/index";
import { TaroSwiperProps } from "../../types";
export type { TaroSwiperProps as SwiperProps } from "../../types";
type CompoundedComponent = React.ForwardRefExoticComponent<Partial<TaroSwiperProps> & Omit<React.HTMLAttributes<HTMLDivElement>, 'onChange'> & React.RefAttributes<any>> & {
    Item: typeof SwiperItem;
};
declare const InnerSwiper: CompoundedComponent;
export default InnerSwiper;
