import React, { FunctionComponent } from 'react';
import { TaroToastProps } from "../../types";
export declare const Toast: FunctionComponent<Partial<TaroToastProps> & Omit<React.HTMLAttributes<HTMLDivElement>, 'content'>> & {
    show: typeof show;
    hide: typeof hide;
};
export interface ToastOptions extends Partial<Omit<TaroToastProps, 'visible'>> {
}
export declare function show(selector: string, options: ToastOptions): void;
export declare function hide(selector: string): void;
