import React, { FunctionComponent } from 'react';
import { TaroCascaderProps, CascaderOption, CascaderValue, CascaderOptionKey } from "../../types";
export interface AddressProps extends TaroCascaderProps {
    visible: boolean;
    type: string;
    options: CascaderOption[];
    value: CascaderValue;
    defaultValue: CascaderValue;
    optionKey: CascaderOptionKey;
    format: Record<string, string | number | null>;
    height: string | number;
}
export declare const CascaderRender: FunctionComponent<Partial<AddressProps> & Omit<React.HTMLAttributes<HTMLDivElement>, 'title' | 'defaultValue' | 'onChange'>>;
