"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: function() {
        return _default;
    }
});
var _lottieweb = require("./lottieweb");
var _lottiemp = require("./lottiemp");
var implementation;
if (process.env.TARO_ENV === 'h5') {
    // @ts-ignore
    implementation = _lottieweb.Lottie;
} else if (process.env.TARO_ENV === 'weapp' || process.env.TARO_ENV === 'jd') {
    // @ts-ignore
    implementation = _lottiemp.Lottie;
} else {
    // throw new Error(`不支持的 TARO_ENV: ${process.env.TARO_ENV}`)
    implementation = function implementation(props) {
        return props.children;
    };
}
var Lottie = implementation;
var _default = Lottie;
