import React, { FunctionComponent } from 'react';
import { ITouchEvent } from '@tarojs/components';
import { CellGroup } from "../cellgroup/cellgroup";
import { CellProps } from './types';
interface CellTaroProps extends CellProps {
    onClick: (event: React.MouseEvent<HTMLDivElement, MouseEvent> | ITouchEvent) => void;
}
export declare const Cell: FunctionComponent<Partial<CellTaroProps> & Omit<React.HTMLAttributes<HTMLDivElement>, 'title'>> & {
    Group: typeof CellGroup;
};
export {};
