import { BaseProps } from '../../base/props';
export interface BaseBackTop extends BaseProps {
    /**
    * 设置组件页面层级
    */
    zIndex: number
    tabbarHeight: number;
    target: string;
    /**
    * 页面垂直滚动多高后出现
    */
    threshold: number
    /**
    * 设置动画持续时间，为 0 时表示无动画
    */
    duration: number
    /**
    * 按钮点击时触发事件
    */
    onClick: (event: any) => void
}
